# PThreadPool< Work_T >::InternalWork Class Reference

`#include <threadpool.h>`

List of all members.

## Public Member Functions

| InternalWork (WorkerThread *worker, Work_T *work, const char *group)

## Public Attributes

WorkerThread * | m_worker
Work_T * | m_work

### template<class Work_T>
class PThreadPool< Work_T >::InternalWork

## Constructor & Destructor Documentation

template<class Work_T>

PThreadPool< Work_T >::InternalWork::InternalWork | ( | WorkerThread * | worker,
|  | Work_T * | work,
|  | const char * | group |
| ) |  |  | `[inline]`

## Member Data Documentation

template<class Work_T>

Work_T* PThreadPool< Work_T >::InternalWork::m_work

template<class Work_T>

WorkerThread* PThreadPool< Work_T >::InternalWork::m_worker

The documentation for this class was generated from the following file:

- threadpool.h